Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoNegExpGenerator< T > Class Template Reference

The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles. More...

`#include <eoRndGenerators.h>`

Inheritance diagram for eoNegExpGenerator< T >:

List of all members.

## Public Member Functions
| eoNegExpGenerator (T _mean=1.0, eoRng &_rng=rng)
T | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
T | mean
eoRng & | negexp

## Detailed Description

### template<class T = double>
class eoNegExpGenerator< T >

The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles.

The user can supply a mean.

Definition at line 137 of file eoRndGenerators.h.

The documentation for this class was generated from the following file:

- eoRndGenerators.h